Package wx :: Class ClipboardLocker

[frames | no frames]

## Type ClipboardLocker

    object --+
             |
            ClipboardLocker

A helpful class for opening the clipboard and automatically closing it when the locker is destroyed.

Method Summary
ClipboardLocker | ``__init__`(self, clipboard)` A helpful class for opening the clipboard and automatically closing it when the locker is destroyed.
| `__del__(self)`
bool | ``__nonzero__`(self)` A ClipboardLocker instance evaluates to True if the clipboard was successfully opened.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, clipboard=None)
(Constructor)

A helpful class for opening the clipboard and automatically closing it when the locker is destroyed.

  Parameters:
    `clipboard`
    (type=Clipboard)

  Returns:
    ClipboardLocker
  Overrides:
    `__builtin__.object.__init__`

### __nonzero__(self)
(Boolean test operator)

A ClipboardLocker instance evaluates to True if the clipboard was successfully opened.

  Returns:
    bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:46 2007 | http://epydoc.sf.net